# class Devise::Encryptors::RestfulAuthenticationSha1

# RestfulAuthenticationSha1

Simulates Restful Authentication’s default encryption mechanism. Warning: it uses Devise’s pepper to port the concept of REST_AUTH_SITE_KEY Warning: it uses Devise’s stretches configuration to port the concept of REST_AUTH_DIGEST_STRETCHES. Should be set to 10 in the initializer to simulate the default behavior.

### Public Class Methods

digest(password, stretches, salt, pepper) click to toggle source

Generates a default password digest based on salt, pepper and the incoming password.

    # File lib/devise/encryptors/restful_authentication_sha1.rb, line 14
    def self.digest(password, stretches, salt, pepper)
      digest = pepper
      stretches.times { digest = Digest::SHA1.hexdigest([digest, salt, password, pepper].flatten.join('--')) }
      digest
    end